Debian Bug report logs - #587397
windows detected by installer, but not listed by grub after reboot

Package: grub-installer; Maintainer for grub-installer is Debian Install System Team <debian-boot@lists.debian.org>; Source for grub-installer is src:grub-installer.

Reported by: Grant Allan <southernbamboo@gmail.com>

Date: Mon, 28 Jun 2010 09:39:08 UTC

Severity: normal

Tags: d-i

Merged with 603107, 608025, 608219, 609251

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#587397; Package installation-reports. (Mon, 28 Jun 2010 09:39:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Grant Allan <southernbamboo@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Mon, 28 Jun 2010 09:39:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Grant Allan <southernbamboo@gmail.com>
To: submit@bugs.debian.org
Subject: windows detected by installer, but not listed by grub after reboot
Date: Mon, 28 Jun 2010 21:37:39 +1200
Package: installation-reports
Boot method: netinst
Image version: http://cdimage.debian.org/cdimage/squeeze_di_alpha1/amd64/iso-cd/debian-testing-amd64-netinst.iso
Date: 27 June
Machine: -
Processor: Inteli5 750
Memory: 4Gb
Partitions:
  sd0 has "system reserved" (NTFS 100Mb), 244Gb NTFS, 220Gb NTFS, 1.7Gb FAT
  sd1 was all "free space" before installation; during install, i made
half of it into unformatted space, located at the end, and i chose
automatic guided partitioning for the first half

Comments/Problems:
During the install, I got a disturbing message about unlabelled
partitions and the possibility of my system becoming unbootable.  I
went forward one step, expecting to get an opportunity to choose
labels to fix the problem.  Instead I got an error message about some
/etc something-or-other being mentioned in some file.  I thought "ok,
i'm outta here" and started using the "back" button.  Strange but
true, the "back" button took me to screens I had never seen before.  A
little voice in my head started repeating "What the?" over and over.
At this point, the room began spinning and I began fading in and out
of consciousness.  When I came to, I was looking at a screen that said
that Vista had been detected, and I would be OK to reboot now if that
was the only other OS that I had on the computer.  I thought "phew,
that was close" and chose to continue with the reboot.  However, after
reboot, there was no windows at all listed by grub.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#587397; Package installation-reports. (Mon, 28 Jun 2010 10:00:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Grant Allan <southernbamboo@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Mon, 28 Jun 2010 10:00:14 GMT) Full text and rfc822 format available.

Message #10 received at 587397@bugs.debian.org (full text, mbox):

From: Grant Allan <southernbamboo@gmail.com>
To: 587397@bugs.debian.org
Subject: more about the version of existing windows
Date: Mon, 28 Jun 2010 21:48:04 +1200
It was 64-bit windows7 professional that was installed on sd0.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#587397; Package installation-reports. (Mon, 08 Nov 2010 14:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matteo Cypriani <mcy@lm7.fr>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Mon, 08 Nov 2010 14:27:06 GMT) Full text and rfc822 format available.

Message #15 received at 587397@bugs.debian.org (full text, mbox):

From: Matteo Cypriani <mcy@lm7.fr>
To: <587397@bugs.debian.org>
Subject: Re: windows detected by installer, but not listed by grub after reboot
Date: Mon, 08 Nov 2010 15:23:40 +0100
[Message part 1 (text/plain, inline)]
Hi,
I got a similar problem, details bellow.
Regards,
  Matteo

-- Package-specific info:

Boot method: CD
Image version:
http://cdimage.debian.org/cdimage/squeeze_di_beta1/amd64/iso-cd/debian-squeeze-di-beta1-amd64-netinst.iso
Date: 05 Nov 2010

Machine: Dell Studio 1558

Partitions:
Disk /dev/sda: 320.1 GB, 320072933376 bytes
255 heads, 63 sectors/track, 38913 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disk identifier: 0xee83cf77

   Device Boot      Start         End      Blocks   Id  System
/dev/sda1               1           5       40131   de  Dell Utility
/dev/sda2               6        1918    15360000    7  HPFS/NTFS
/dev/sda3            1918       32540   245970037+   7  HPFS/NTFS
/dev/sda4           32540       37889    42967041    5  Extended
/dev/sda5           32540       32783     1952768   82  Linux swap /
Solaris
/dev/sda6           32783       35214    19529728   a5  FreeBSD
/dev/sda7           35214       35457     1951744   82  Linux swap /
Solaris
/dev/sda8           35457       37889    19529728   83  Linux


Base System Installation Checklist:
[O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it

Initial boot:           [O]
Detect network card:    [O]
Configure network:      [O]
Detect CD:              [O]
Load installer modules: [O]
Detect hard drives:     [O]
Partition hard drives:  [O]
Install base system:    [O]
Clock/timezone setup:   [O]
User/password setup:    [O]
Install tasks:          [O]
Install boot loader:    [O]
Overall install:        [O]

Comments/Problems:

I got the same problem, installing squeeze/amd64 in triple-boot with
Windows 7 and squeeze/kfreebsd-amd64.
The installer said it detected "Windows Vista (loader)" (instead of 7),
but did not detect the previous installation of kFreeBSD.

After reboot, both Windows and kFreeBSD were absent of the Grub menu,
only Linux and Linux recovery were present.
Once the system booted, I was able to run update-grub manually and
"Windows 7 (loader)" is perfectly detected (and will boot). But kFreeBSD
remains undetected, so I had to fill an entry in /etc/grub.d/40_custom
to be able to boot it.

Maybe should I open a new bug for the non-detection of kFreeBSD ?

Oh, and I got a similar problem during the installation of kFreeBSD:
Windows is not detected at all by the installer. And remains undetected
with a manual update-grub once kFreeBSD booted.
Again, please tell me if I should open another bug for that.

-- 

Attached: installer syslog.

==============================================
Installer lsb-release:
==============================================
DISTRIB_ID=Debian
DISTRIB_DESCRIPTION="Debian GNU/Linux installer"
DISTRIB_RELEASE="6.0 (squeeze) - installer build 20101020"
X_INSTALLATION_MEDIUM=cdrom

==============================================
Installer hardware-summary:
==============================================
uname -a: Linux studio1558-1 2.6.32-5-amd64 #1 SMP Fri Oct 15 00:56:30 UTC
2010 x86_64 GNU/Linux
lspci -knn: 00:00.0 Host bridge [0600]: Intel Corporation Core Processor
DRAM Controller [8086:0044] (rev 12)
lspci -knn: 	Subsystem: Dell Device [1028:0413]
lspci -knn: 00:01.0 PCI bridge [0604]: Intel Corporation Core Processor
PCI Express x16 Root Port [8086:0045] (rev 12)
lspci -knn: 	Kernel driver in use: pcieport
lspci -knn: 00:16.0 Communication controller [0780]: Intel Corporation 5
Series/3400 Series Chipset HECI Controller [8086:3b64] (rev 06)
lspci -knn: 	Subsystem: Dell Device [1028:0413]
lspci -knn: 00:1a.0 USB Controller [0c03]: Intel Corporation 5 Series/3400
Series Chipset USB2 Enhanced Host Controller [8086:3b3c] (rev 06)
lspci -knn: 	Subsystem: Dell Device [1028:0413]
lspci -knn: 	Kernel driver in use: ehci_hcd
lspci -knn: 00:1b.0 Audio device [0403]: Intel Corporation 5 Series/3400
Series Chipset High Definition Audio [8086:3b56] (rev 06)
lspci -knn: 	Subsystem: Dell Device [1028:0413]
lspci -knn: 00:1c.0 PCI bridge [0604]: Intel Corporation 5 Series/3400
Series Chipset PCI Express Root Port 1 [8086:3b42] (rev 06)
lspci -knn: 	Kernel driver in use: pcieport
lspci -knn: 00:1c.1 PCI bridge [0604]: Intel Corporation 5 Series/3400
Series Chipset PCI Express Root Port 2 [8086:3b44] (rev 06)
lspci -knn: 	Kernel driver in use: pcieport
lspci -knn: 00:1c.3 PCI bridge [0604]: Intel Corporation 5 Series/3400
Series Chipset PCI Express Root Port 4 [8086:3b48] (rev 06)
lspci -knn: 	Kernel driver in use: pcieport
lspci -knn: 00:1c.4 PCI bridge [0604]: Intel Corporation 5 Series/3400
Series Chipset PCI Express Root Port 5 [8086:3b4a] (rev 06)
lspci -knn: 	Kernel driver in use: pcieport
lspci -knn: 00:1c.5 PCI bridge [0604]: Intel Corporation 5 Series/3400
Series Chipset PCI Express Root Port 6 [8086:3b4c] (rev 06)
lspci -knn: 	Kernel driver in use: pcieport
lspci -knn: 00:1d.0 USB Controller [0c03]: Intel Corporation 5 Series/3400
Series Chipset USB2 Enhanced Host Controller [8086:3b34] (rev 06)
lspci -knn: 	Subsystem: Dell Device [1028:0413]
lspci -knn: 	Kernel driver in use: ehci_hcd
lspci -knn: 00:1e.0 PCI bridge [0604]: Intel Corporation 82801 Mobile PCI
Bridge [8086:2448] (rev a6)
lspci -knn: 00:1f.0 ISA bridge [0601]: Intel Corporation Mobile 5 Series
Chipset LPC Interface Controller [8086:3b09] (rev 06)
lspci -knn: 	Subsystem: Dell Device [1028:0413]
lspci -knn: 00:1f.2 SATA controller [0106]: Intel Corporation 5
Series/3400 Series Chipset 4 port SATA AHCI Controller [8086:3b29] (rev 06)
lspci -knn: 	Subsystem: Dell Device [1028:0413]
lspci -knn: 	Kernel driver in use: ahci
lspci -knn: 00:1f.3 SMBus [0c05]: Intel Corporation 5 Series/3400 Series
Chipset SMBus Controller [8086:3b30] (rev 06)
lspci -knn: 	Subsystem: Dell Device [1028:0413]
lspci -knn: 00:1f.6 Signal processing controller [1180]: Intel Corporation
5 Series/3400 Series Chipset Thermal Subsystem [8086:3b32] (rev 06)
lspci -knn: 	Subsystem: Dell Device [1028:0413]
lspci -knn: 02:00.0 VGA compatible controller [0300]: ATI Technologies Inc
M92 [Mobility Radeon HD 4500 Series] [1002:9553]
lspci -knn: 	Subsystem: Dell Device [1028:0413]
lspci -knn: 02:00.1 Audio device [0403]: ATI Technologies Inc RV710/730
[1002:aa38]
lspci -knn: 	Subsystem: Dell Device [1028:0413]
lspci -knn: 04:00.0 Network controller [0280]: Broadcom Corporation
BCM4312 802.11b/g LP-PHY [14e4:4315] (rev 01)
lspci -knn: 	Subsystem: Dell Device [1028:000c]
lspci -knn: 	Kernel driver in use: b43-pci-bridge
lspci -knn: 07:00.0 SD Host controller [0805]: Ricoh Co Ltd Device
[1180:e822] (rev 01)
lspci -knn: 	Subsystem: Dell Device [1028:0413]
lspci -knn: 07:00.1 System peripheral [0880]: Ricoh Co Ltd Device
[1180:e230] (rev 01)
lspci -knn: 	Subsystem: Dell Device [1028:0413]
lspci -knn: 07:00.2 System peripheral [0880]: Ricoh Co Ltd Device
[1180:e852] (rev 01)
lspci -knn: 	Subsystem: Dell Device [1028:0413]
lspci -knn: 07:00.3 FireWire (IEEE 1394) [0c00]: Ricoh Co Ltd Device
[1180:e832] (rev 01)
lspci -knn: 	Subsystem: Dell Device [1028:0413]
lspci -knn: 	Kernel driver in use: firewire_ohci
lspci -knn: 09:00.0 Ethernet controller [0200]: Realtek Semiconductor Co.,
Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller [10ec:8168] (rev
03)
lspci -knn: 	Subsystem: Dell Device [1028:0413]
lspci -knn: 	Kernel driver in use: r8169
lspci -knn: ff:00.0 Host bridge [0600]: Intel Corporation Core Processor
QuickPath Architecture Generic Non-core Registers [8086:2c62] (rev 02)
lspci -knn: 	Subsystem: Intel Corporation Device [8086:8086]
lspci -knn: ff:00.1 Host bridge [0600]: Intel Corporation Core Processor
QuickPath Architecture System Address Decoder [8086:2d01] (rev 02)
lspci -knn: 	Subsystem: Intel Corporation Device [8086:8086]
lspci -knn: ff:02.0 Host bridge [0600]: Intel Corporation Core Processor
QPI Link 0 [8086:2d10] (rev 02)
lspci -knn: 	Subsystem: Intel Corporation Device [8086:8086]
lspci -knn: ff:02.1 Host bridge [0600]: Intel Corporation Core Processor
QPI Physical 0 [8086:2d11] (rev 02)
lspci -knn: 	Subsystem: Intel Corporation Device [8086:8086]
lspci -knn: ff:02.2 Host bridge [0600]: Intel Corporation Core Processor
Reserved [8086:2d12] (rev 02)
lspci -knn: 	Subsystem: Intel Corporation Device [8086:8086]
lspci -knn: ff:02.3 Host bridge [0600]: Intel Corporation Core Processor
Reserved [8086:2d13] (rev 02)
lspci -knn: 	Subsystem: Intel Corporation Device [8086:8086]
usb-list: 
usb-list: Bus 01 Device 01: EHCI Host Controller [1d6b:0002]
usb-list:    Level 00 Parent 00 Port 00  Class 09(hub  ) Subclass 00
Protocol 00
usb-list:    Manufacturer: Linux 2.6.32-5-amd64 ehci_hcd
usb-list:    Interface 00: Class 09(hub  ) Subclass 00 Protocol 00 Driver
hub
usb-list: 
usb-list: Bus 01 Device 02: EHCI Host Controller [8087:0020]
usb-list:    Level 01 Parent 01 Port 00  Class 09(hub  ) Subclass 00
Protocol 01
usb-list:    Interface 00: Class 09(hub  ) Subclass 00 Protocol 00 Driver
hub
usb-list: 
usb-list: Bus 01 Device 03: BCM2046B1 [0a5c:4500]
usb-list:    Level 02 Parent 02 Port 00  Class 09(hub  ) Subclass 00
Protocol 00
usb-list:    Manufacturer: Broadcom
usb-list:    Interface 00: Class 09(hub  ) Subclass 00 Protocol 00 Driver
hub
usb-list: 
usb-list: Bus 01 Device 05: BCM2046B1 [413c:8161]
usb-list:    Level 03 Parent 03 Port 00  Class 00(>ifc ) Subclass 00
Protocol 00
usb-list:    Interface 00: Class 03(HID  ) Subclass 01 Protocol 01 Driver
usbhid
usb-list: 
usb-list: Bus 01 Device 06: BCM2046B1 [413c:8162]
usb-list:    Level 03 Parent 03 Port 01  Class 00(>ifc ) Subclass 00
Protocol 00
usb-list:    Interface 00: Class 03(HID  ) Subclass 01 Protocol 02 Driver
usbhid
usb-list: 
usb-list: Bus 01 Device 04: Laptop_Integrated_Webcam_2M [0c45:6417]
usb-list:    Level 02 Parent 02 Port 03  Class ef(misc ) Subclass 02
Protocol 01
usb-list:    Manufacturer: CN07RGXF7248702K091P
usb-list:    Interface 00: Class 0e(video) Subclass 01 Protocol 00 Driver
<none>
usb-list:    Interface 01: Class 0e(video) Subclass 02 Protocol 00 Driver
<none>
usb-list: 
usb-list: Bus 02 Device 01: EHCI Host Controller [1d6b:0002]
usb-list:    Level 00 Parent 00 Port 00  Class 09(hub  ) Subclass 00
Protocol 00
usb-list:    Manufacturer: Linux 2.6.32-5-amd64 ehci_hcd
usb-list:    Interface 00: Class 09(hub  ) Subclass 00 Protocol 00 Driver
hub
usb-list: 
usb-list: Bus 02 Device 02: EHCI Host Controller [8087:0020]
usb-list:    Level 01 Parent 01 Port 00  Class 09(hub  ) Subclass 00
Protocol 01
usb-list:    Interface 00: Class 09(hub  ) Subclass 00 Protocol 00 Driver
hub
lsmod: Module                  Size  Used by
lsmod: btrfs                 375670  0 
lsmod: zlib_deflate           17746  1 btrfs
lsmod: hfsplus                65286  0 
lsmod: hfs                    37455  0 
lsmod: minix                  21213  0 
lsmod: msdos                   6202  0 
lsmod: ufs                    56474  0 
lsmod: qnx4                    6194  0 
lsmod: ntfs                  162796  0 
lsmod: reiserfs              194156  0 
lsmod: dm_mod                 53770  0 
lsmod: md_mod                 73808  0 
lsmod: xfs                   436941  0 
lsmod: exportfs                3170  1 xfs
lsmod: jfs                   140105  0 
lsmod: ext4                  289033  1 
lsmod: jbd2                   67015  1 ext4
lsmod: crc16                   1319  1 ext4
lsmod: ext3                  106518  0 
lsmod: jbd                    37085  1 ext3
lsmod: crc32c                  2560  1 
lsmod: libcrc32c               1074  1 btrfs
lsmod: ext2                   52969  0 
lsmod: mbcache                 5050  3 ext4,ext3,ext2
lsmod: b43                   146172  0 
lsmod: ssb                    38666  1 b43
lsmod: mmc_core               45686  2 b43,ssb
lsmod: pcmcia                 19474  2 b43,ssb
lsmod: rng_core                3006  1 b43
lsmod: mac80211              137340  1 b43
lsmod: cfg80211              101496  2 b43,mac80211
lsmod: rfkill                 13044  1 cfg80211
lsmod: led_class               2433  1 b43
lsmod: pcmcia_core            24118  3 b43,ssb,pcmcia
lsmod: r8169                  28909  0 
lsmod: mii                     3210  1 r8169
lsmod: ide_gd_mod             20433  0 
lsmod: ide_core               71722  1 ide_gd_mod
lsmod: nls_cp437               5817  0 
lsmod: vfat                    7884  0 
lsmod: fat                    40038  2 msdos,vfat
lsmod: arc4                    1274  2 
lsmod: ecb                     1841  2 
lsmod: nls_utf8                1208  0 
lsmod: isofs                  27480  0 
lsmod: firewire_sbp2          11514  0 
lsmod: usb_storage            39561  0 
lsmod: sg                     18744  0 
lsmod: sr_mod                 12602  0 
lsmod: sd_mod                 29777  3 
lsmod: cdrom                  29415  1 sr_mod
lsmod: crc_t10dif              1276  1 sd_mod
lsmod: usbhid                 33292  0 
lsmod: hid                    62857  1 usbhid
lsmod: fan                     3346  0 
lsmod: ahci                   32358  2 
lsmod: libata                133616  1 ahci
lsmod: thermal                11674  0 
lsmod: firewire_ohci          19468  0 
lsmod: psmouse                49777  0 
lsmod: evdev                   7352  5 
lsmod: ehci_hcd               31135  0 
lsmod: scsi_mod              122117  6
firewire_sbp2,usb_storage,sg,sr_mod,sd_mod,libata
lsmod: thermal_sys            11942  2 fan,thermal
lsmod: firewire_core          36800  2 firewire_sbp2,firewire_ohci
lsmod: crc_itu_t               1307  1 firewire_core
lsmod: usbcore               121938  4 usb_storage,usbhid,ehci_hcd
lsmod: nls_base                6377  10
hfsplus,hfs,ntfs,jfs,nls_cp437,vfat,fat,nls_utf8,isofs,usbcore
df: Filesystem           1K-blocks      Used Available Use% Mounted on
df: tmpfs                  1960580        76   1960504   0% /dev
df: /dev/sda8             19223252   3131808  15114960  17% /target
df: /dev/sda8             19223252   3131808  15114960  17%
/dev/.static/dev
df: tmpfs                  1960580        76   1960504   0% /target/dev
free:               total         used         free       shared     
buffers
free:   Mem:      3921160      2434540      1486620            0        
2776
free:  Swap:      1951736          128      1951608
free: Total:      5872896      2434668      3438228
/proc/cmdline: desktop=kde video=vesa:ywrap,mtrr vga=788
initrd=/install.amd/gtk/initrd.gz -- quiet  BOOT_IMAGE=/install.amd/vmlinuz

/proc/cpuinfo: processor	: 0
/proc/cpuinfo: vendor_id	: GenuineIntel
/proc/cpuinfo: cpu family	: 6
/proc/cpuinfo: model		: 37
/proc/cpuinfo: model name	: Intel(R) Core(TM) i5 CPU       M 430  @
2.27GHz
/proc/cpuinfo: stepping	: 2
/proc/cpuinfo: cpu MHz		: 2261.032
/proc/cpuinfo: cache size	: 3072 KB
/proc/cpuinfo: physical id	: 0
/proc/cpuinfo: siblings	: 4
/proc/cpuinfo: core id		: 0
/proc/cpuinfo: cpu cores	: 2
/proc/cpuinfo: apicid		: 0
/proc/cpuinfo: initial apicid	: 0
/proc/cpuinfo: fpu		: yes
/proc/cpuinfo: fpu_exception	: yes
/proc/cpuinfo: cpuid level	: 11
/proc/cpuinfo: wp		: yes
/proc/cpuinfo: flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr
pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe
syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good xtopology
nonstop_tsc aperfmperf pni dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16
xtpr pdcm sse4_1 sse4_2 popcnt lahf_lm ida arat tpr_shadow vnmi
flexpriority ept vpid
/proc/cpuinfo: bogomips	: 4522.06
/proc/cpuinfo: clflush size	: 64
/proc/cpuinfo: cache_alignment	: 64
/proc/cpuinfo: address sizes	: 36 bits physical, 48 bits virtual
/proc/cpuinfo: power management:
/proc/cpuinfo: 
/proc/cpuinfo: processor	: 1
/proc/cpuinfo: vendor_id	: GenuineIntel
/proc/cpuinfo: cpu family	: 6
/proc/cpuinfo: model		: 37
/proc/cpuinfo: model name	: Intel(R) Core(TM) i5 CPU       M 430  @
2.27GHz
/proc/cpuinfo: stepping	: 2
/proc/cpuinfo: cpu MHz		: 2261.032
/proc/cpuinfo: cache size	: 3072 KB
/proc/cpuinfo: physical id	: 0
/proc/cpuinfo: siblings	: 4
/proc/cpuinfo: core id		: 2
/proc/cpuinfo: cpu cores	: 2
/proc/cpuinfo: apicid		: 4
/proc/cpuinfo: initial apicid	: 4
/proc/cpuinfo: fpu		: yes
/proc/cpuinfo: fpu_exception	: yes
/proc/cpuinfo: cpuid level	: 11
/proc/cpuinfo: wp		: yes
/proc/cpuinfo: flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr
pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe
syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good xtopology
nonstop_tsc aperfmperf pni dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16
xtpr pdcm sse4_1 sse4_2 popcnt lahf_lm ida arat tpr_shadow vnmi
flexpriority ept vpid
/proc/cpuinfo: bogomips	: 4521.90
/proc/cpuinfo: clflush size	: 64
/proc/cpuinfo: cache_alignment	: 64
/proc/cpuinfo: address sizes	: 36 bits physical, 48 bits virtual
/proc/cpuinfo: power management:
/proc/cpuinfo: 
/proc/cpuinfo: processor	: 2
/proc/cpuinfo: vendor_id	: GenuineIntel
/proc/cpuinfo: cpu family	: 6
/proc/cpuinfo: model		: 37
/proc/cpuinfo: model name	: Intel(R) Core(TM) i5 CPU       M 430  @
2.27GHz
/proc/cpuinfo: stepping	: 2
/proc/cpuinfo: cpu MHz		: 2261.032
/proc/cpuinfo: cache size	: 3072 KB
/proc/cpuinfo: physical id	: 0
/proc/cpuinfo: siblings	: 4
/proc/cpuinfo: core id		: 0
/proc/cpuinfo: cpu cores	: 2
/proc/cpuinfo: apicid		: 1
/proc/cpuinfo: initial apicid	: 1
/proc/cpuinfo: fpu		: yes
/proc/cpuinfo: fpu_exception	: yes
/proc/cpuinfo: cpuid level	: 11
/proc/cpuinfo: wp		: yes
/proc/cpuinfo: flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr
pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe
syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good xtopology
nonstop_tsc aperfmperf pni dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16
xtpr pdcm sse4_1 sse4_2 popcnt lahf_lm ida arat tpr_shadow vnmi
flexpriority ept vpid
/proc/cpuinfo: bogomips	: 4521.90
/proc/cpuinfo: clflush size	: 64
/proc/cpuinfo: cache_alignment	: 64
/proc/cpuinfo: address sizes	: 36 bits physical, 48 bits virtual
/proc/cpuinfo: power management:
/proc/cpuinfo: 
/proc/cpuinfo: processor	: 3
/proc/cpuinfo: vendor_id	: GenuineIntel
/proc/cpuinfo: cpu family	: 6
/proc/cpuinfo: model		: 37
/proc/cpuinfo: model name	: Intel(R) Core(TM) i5 CPU       M 430  @
2.27GHz
/proc/cpuinfo: stepping	: 2
/proc/cpuinfo: cpu MHz		: 2261.032
/proc/cpuinfo: cache size	: 3072 KB
/proc/cpuinfo: physical id	: 0
/proc/cpuinfo: siblings	: 4
/proc/cpuinfo: core id		: 2
/proc/cpuinfo: cpu cores	: 2
/proc/cpuinfo: apicid		: 5
/proc/cpuinfo: initial apicid	: 5
/proc/cpuinfo: fpu		: yes
/proc/cpuinfo: fpu_exception	: yes
/proc/cpuinfo: cpuid level	: 11
/proc/cpuinfo: wp		: yes
/proc/cpuinfo: flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr
pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe
syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good xtopology
nonstop_tsc aperfmperf pni dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16
xtpr pdcm sse4_1 sse4_2 popcnt lahf_lm ida arat tpr_shadow vnmi
flexpriority ept vpid
/proc/cpuinfo: bogomips	: 4521.90
/proc/cpuinfo: clflush size	: 64
/proc/cpuinfo: cache_alignment	: 64
/proc/cpuinfo: address sizes	: 36 bits physical, 48 bits virtual
/proc/cpuinfo: power management:
/proc/cpuinfo: 
/proc/ioports: 0000-001f : dma1
/proc/ioports: 0020-0021 : pic1
/proc/ioports: 0040-0043 : timer0
/proc/ioports: 0050-0053 : timer1
/proc/ioports: 0060-0060 : keyboard
/proc/ioports: 0064-0064 : keyboard
/proc/ioports: 0070-0077 : rtc0
/proc/ioports: 0080-008f : dma page reg
/proc/ioports: 00a0-00a1 : pic2
/proc/ioports: 00c0-00df : dma2
/proc/ioports: 00f0-00ff : fpu
/proc/ioports: 03c0-03df : vesafb
/proc/ioports: 0400-047f : pnp 00:05
/proc/ioports:   0400-0403 : ACPI PM1a_EVT_BLK
/proc/ioports:   0404-0405 : ACPI PM1a_CNT_BLK
/proc/ioports:   0408-040b : ACPI PM_TMR
/proc/ioports:   0420-042f : ACPI GPE0_BLK
/proc/ioports:   0450-0450 : ACPI PM2_CNT_BLK
/proc/ioports: 0500-050f : pnp 00:05
/proc/ioports: 0600-0603 : pnp 00:05
/proc/ioports: 0680-069f : pnp 00:05
/proc/ioports: 0cf8-0cff : PCI conf1
/proc/ioports: 1180-11ff : pnp 00:05
/proc/ioports: 164e-164f : pnp 00:05
/proc/ioports: 1800-181f : 0000:00:1f.2
/proc/ioports:   1800-181f : ahci
/proc/ioports: 1820-1823 : 0000:00:1f.2
/proc/ioports:   1820-1823 : ahci
/proc/ioports: 1824-1827 : 0000:00:1f.2
/proc/ioports:   1824-1827 : ahci
/proc/ioports: 1828-182f : 0000:00:1f.2
/proc/ioports:   1828-182f : ahci
/proc/ioports: 1830-1837 : 0000:00:1f.2
/proc/ioports:   1830-1837 : ahci
/proc/ioports: 1840-185f : 0000:00:1f.3
/proc/ioports: 2000-2fff : PCI Bus 0000:02
/proc/ioports:   2000-20ff : 0000:02:00.0
/proc/ioports: 3000-3fff : PCI Bus 0000:05
/proc/ioports: 4000-4fff : PCI Bus 0000:07
/proc/ioports: 5000-5fff : PCI Bus 0000:09
/proc/ioports:   5000-50ff : 0000:09:00.0
/proc/ioports:     5000-50ff : r8169
/proc/ioports: 6000-6fff : PCI Bus 0000:03
/proc/ioports: 7000-7fff : PCI Bus 0000:04
/proc/ioports: fe00-fe00 : pnp 00:05
/proc/ioports: ffff-ffff : pnp 00:05
/proc/iomem: 00000000-0009c3ff : System RAM
/proc/iomem: 0009c400-0009ffff : reserved
/proc/iomem: 000d2000-000d3fff : reserved
/proc/iomem: 000e0000-000fffff : reserved
/proc/iomem: 00100000-bf27bfff : System RAM
/proc/iomem:   01000000-01301144 : Kernel code
/proc/iomem:   01301145-014dac2f : Kernel data
/proc/iomem:   01577000-01688413 : Kernel bss
/proc/iomem: bf27c000-bf281fff : reserved
/proc/iomem: bf282000-bf3e5fff : System RAM
/proc/iomem: bf3e6000-bf40efff : reserved
/proc/iomem: bf40f000-bf46efff : System RAM
/proc/iomem: bf46f000-bf46ffff : reserved
/proc/iomem: bf470000-bf4f0fff : ACPI Non-volatile Storage
/proc/iomem: bf4f1000-bf70efff : reserved
/proc/iomem: bf70f000-bf716fff : System RAM
/proc/iomem: bf717000-bf71efff : reserved
/proc/iomem: bf71f000-bf77dfff : System RAM
/proc/iomem: bf77e000-bf79efff : ACPI Non-volatile Storage
/proc/iomem: bf79f000-bf7e1fff : System RAM
/proc/iomem: bf7e2000-bf7fefff : ACPI Tables
/proc/iomem: bf7ff000-bf7fffff : System RAM
/proc/iomem: bf800000-bfffffff : reserved
/proc/iomem: c0000000-c01fffff : PCI Bus 0000:03
/proc/iomem: c0200000-c03fffff : PCI Bus 0000:03
/proc/iomem: c0400000-c05fffff : PCI Bus 0000:04
/proc/iomem: c0600000-c09fffff : PCI Bus 0000:09
/proc/iomem: cfe00000-cfefffff : PCI Bus 0000:02
/proc/iomem:   cfe00000-cfe1ffff : 0000:02:00.0
/proc/iomem:   cfeec000-cfeeffff : 0000:02:00.1
/proc/iomem:   cfef0000-cfefffff : 0000:02:00.0
/proc/iomem: d0000000-dfffffff : PCI Bus 0000:02
/proc/iomem:   d0000000-dfffffff : 0000:02:00.0
/proc/iomem:     d0000000-d0ffffff : vesafb
/proc/iomem: e0000000-efffffff : PCI MMCONFIG 0 [00-ff]
/proc/iomem:   e0000000-efffffff : reserved
/proc/iomem:     e0000000-efffffff : pnp 00:09
/proc/iomem: f0000000-f01fffff : PCI Bus 0000:05
/proc/iomem: f0200000-f03fffff : PCI Bus 0000:07
/proc/iomem: f0400000-f04fffff : PCI Bus 0000:09
/proc/iomem:   f0400000-f0403fff : 0000:09:00.0
/proc/iomem:     f0400000-f0403fff : r8169
/proc/iomem:   f0404000-f0404fff : 0000:09:00.0
/proc/iomem:     f0404000-f0404fff : r8169
/proc/iomem:   f0420000-f043ffff : 0000:09:00.0
/proc/iomem: f0500000-f05fffff : PCI Bus 0000:04
/proc/iomem:   f0500000-f0503fff : 0000:04:00.0
/proc/iomem:     f0500000-f0503fff : 0000:04:00.0
/proc/iomem: f0600000-f06fffff : PCI Bus 0000:05
/proc/iomem: f0700000-f08fffff : PCI Bus 0000:07
/proc/iomem:   f0700000-f07000ff : 0000:07:00.0
/proc/iomem:   f0800000-f08007ff : 0000:07:00.3
/proc/iomem:     f0800000-f08007ff : firewire_ohci
/proc/iomem:   f0800800-f08008ff : 0000:07:00.1
/proc/iomem:   f0800c00-f0800cff : 0000:07:00.2
/proc/iomem: f0b00000-f0b03fff : 0000:00:1b.0
/proc/iomem: f0b04000-f0b04fff : reserved
/proc/iomem:   f0b04000-f0b04fff : 0000:00:1f.6
/proc/iomem: f0b05000-f0b057ff : 0000:00:1f.2
/proc/iomem:   f0b05000-f0b057ff : ahci
/proc/iomem: f0b05800-f0b0580f : 0000:00:16.0
/proc/iomem: f0b06000-f0b063ff : 0000:00:1a.0
/proc/iomem:   f0b06000-f0b063ff : ehci_hcd
/proc/iomem: f0b06400-f0b067ff : 0000:00:1d.0
/proc/iomem:   f0b06400-f0b067ff : ehci_hcd
/proc/iomem: f0b06800-f0b068ff : 0000:00:1f.3
/proc/iomem: feaff000-feafffff : reserved
/proc/iomem:   feaff000-feafffff : pnp 00:09
/proc/iomem: fec00000-fec0ffff : reserved
/proc/iomem:   fec00000-fec00fff : IOAPIC 0
/proc/iomem: fed00000-fed003ff : HPET 0
/proc/iomem:   fed00000-fed003ff : reserved
/proc/iomem: fed10000-fed13fff : pnp 00:09
/proc/iomem: fed18000-fed18fff : pnp 00:09
/proc/iomem: fed19000-fed19fff : pnp 00:09
/proc/iomem: fed1c000-fed8ffff : reserved
/proc/iomem:   fed1c000-fed1ffff : pnp 00:09
/proc/iomem:   fed20000-fed3ffff : pnp 00:09
/proc/iomem:   fed40000-fed44fff : pnp 00:09
/proc/iomem:   fed45000-fed8ffff : pnp 00:09
/proc/iomem: fee00000-fee00fff : Local APIC
/proc/iomem:   fee00000-fee00fff : reserved
/proc/iomem: ff000000-ffffffff : reserved
/proc/iomem:   ff000000-ffffffff : pnp 00:09
/proc/iomem: 100000000-137ffffff : System RAM
/proc/interrupts:            CPU0       CPU1       CPU2       CPU3       
/proc/interrupts:   0:         43          0          0          0  
IO-APIC-edge      timer
/proc/interrupts:   1:         97         99         92         84  
IO-APIC-edge      i8042
/proc/interrupts:   8:          9          9          9          9  
IO-APIC-edge      rtc0
/proc/interrupts:   9:          5          6          6          5  
IO-APIC-fasteoi   acpi
/proc/interrupts:  12:       9123       9122       9106       9103  
IO-APIC-edge      i8042
/proc/interrupts:  16:         39         43         44         43  
IO-APIC-fasteoi   ehci_hcd:usb1
/proc/interrupts:  19:          9         12         13         11  
IO-APIC-fasteoi   firewire_ohci
/proc/interrupts:  23:          8          6         10          8  
IO-APIC-fasteoi   ehci_hcd:usb2
/proc/interrupts:  24:          9          0          0          0 
HPET_MSI-edge      hpet2
/proc/interrupts:  25:          0          0          0          0 
HPET_MSI-edge      hpet3
/proc/interrupts:  26:          0          0          0          0 
HPET_MSI-edge      hpet4
/proc/interrupts:  27:          0          0          0          0 
HPET_MSI-edge      hpet5
/proc/interrupts:  34:      69366      69367      69356      69368  
PCI-MSI-edge      ahci
/proc/interrupts:  35:     259512     259512     259539     259539  
PCI-MSI-edge      eth0
/proc/interrupts: NMI:          0          0          0          0  
Non-maskable interrupts
/proc/interrupts: LOC:     217357     220654     202656     201359   Local
timer interrupts
/proc/interrupts: SPU:          0          0          0          0  
Spurious interrupts
/proc/interrupts: PMI:          0          0          0          0  
Performance monitoring interrupts
/proc/interrupts: PND:          0          0          0          0  
Performance pending work
/proc/interrupts: RES:       5013       1050       1420       1219  
Rescheduling interrupts
/proc/interrupts: CAL:        899        898        885        900  
Function call interrupts
/proc/interrupts: TLB:       6145      12993      29358      40939   TLB
shootdowns
/proc/interrupts: TRM:          0          0          0          0  
Thermal event interrupts
/proc/interrupts: THR:          0          0          0          0  
Threshold APIC interrupts
/proc/interrupts: MCE:          0          0          0          0  
Machine check exceptions
/proc/interrupts: MCP:         11         11         11         11  
Machine check polls
/proc/interrupts: ERR:          0
/proc/interrupts: MIS:          0
/proc/meminfo: MemTotal:        3921160 kB
/proc/meminfo: MemFree:         1486956 kB
/proc/meminfo: Buffers:            2776 kB
/proc/meminfo: Cached:          2146316 kB
/proc/meminfo: SwapCached:          128 kB
/proc/meminfo: Active:           506080 kB
/proc/meminfo: Inactive:        1614220 kB
/proc/meminfo: Active(anon):       1836 kB
/proc/meminfo: Inactive(anon):    38084 kB
/proc/meminfo: Active(file):     504244 kB
/proc/meminfo: Inactive(file):  1576136 kB
/proc/meminfo: Unevictable:       68232 kB
/proc/meminfo: Mlocked:               0 kB
/proc/meminfo: SwapTotal:       1951736 kB
/proc/meminfo: SwapFree:        1951608 kB
/proc/meminfo: Dirty:              1696 kB
/proc/meminfo: Writeback:             0 kB
/proc/meminfo: AnonPages:         39320 kB
/proc/meminfo: Mapped:            10628 kB
/proc/meminfo: Shmem:               460 kB
/proc/meminfo: Slab:             200972 kB
/proc/meminfo: SReclaimable:     193280 kB
/proc/meminfo: SUnreclaim:         7692 kB
/proc/meminfo: KernelStack:        1208 kB
/proc/meminfo: PageTables:         1088 kB
/proc/meminfo: NFS_Unstable:          0 kB
/proc/meminfo: Bounce:                0 kB
/proc/meminfo: WritebackTmp:          0 kB
/proc/meminfo: CommitLimit:     3912316 kB
/proc/meminfo: Committed_AS:      38904 kB
/proc/meminfo: VmallocTotal:   34359738367 kB
/proc/meminfo: VmallocUsed:      289684 kB
/proc/meminfo: VmallocChunk:   34359445192 kB
/proc/meminfo: HardwareCorrupted:     0 kB
/proc/meminfo: HugePages_Total:       0
/proc/meminfo: HugePages_Free:        0
/proc/meminfo: HugePages_Rsvd:        0
/proc/meminfo: HugePages_Surp:        0
/proc/meminfo: Hugepagesize:       2048 kB
/proc/meminfo: DirectMap4k:        8192 kB
/proc/meminfo: DirectMap2M:     4046848 kB
/proc/bus/input/devices: I: Bus=0017 Vendor=0001 Product=0001 Version=0100
/proc/bus/input/devices: N: Name="Macintosh mouse button emulation"
/proc/bus/input/devices: P: Phys=
/proc/bus/input/devices: S: Sysfs=/devices/virtual/input/input0
/proc/bus/input/devices: U: Uniq=
/proc/bus/input/devices: H: Handlers=mouse0 event0 
/proc/bus/input/devices: B: EV=7
/proc/bus/input/devices: B: KEY=70000 0 0 0 0
/proc/bus/input/devices: B: REL=3
/proc/bus/input/devices: 
/proc/bus/input/devices: I: Bus=0011 Vendor=0001 Product=0001 Version=ab41
/proc/bus/input/devices: N: Name="AT Translated Set 2 keyboard"
/proc/bus/input/devices: P: Phys=isa0060/serio0/input0
/proc/bus/input/devices: S:
Sysfs=/devices/platform/i8042/serio0/input/input1
/proc/bus/input/devices: U: Uniq=
/proc/bus/input/devices: H: Handlers=kbd event1 
/proc/bus/input/devices: B: EV=120013
/proc/bus/input/devices: B: KEY=402000000 3803078f800d001 feffffdfffefffff
fffffffffffffffe
/proc/bus/input/devices: B: MSC=10
/proc/bus/input/devices: B: LED=7
/proc/bus/input/devices: 
/proc/bus/input/devices: I: Bus=0011 Vendor=0002 Product=0007 Version=01b1
/proc/bus/input/devices: N: Name="SynPS/2 Synaptics TouchPad"
/proc/bus/input/devices: P: Phys=isa0060/serio1/input0
/proc/bus/input/devices: S:
Sysfs=/devices/platform/i8042/serio1/input/input2
/proc/bus/input/devices: U: Uniq=
/proc/bus/input/devices: H: Handlers=mouse1 event2 
/proc/bus/input/devices: B: EV=b
/proc/bus/input/devices: B: KEY=420 70000 0 0 0 0
/proc/bus/input/devices: B: ABS=11000003
/proc/bus/input/devices: 
/proc/bus/input/devices: I: Bus=0003 Vendor=413c Product=8161 Version=0111
/proc/bus/input/devices: N: Name="HID 413c:8161"
/proc/bus/input/devices: P: Phys=usb-0000:00:1a.0-1.1.1/input0
/proc/bus/input/devices: S:
Sysfs=/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.1/1-1.1.1/1-1.1.1:1.0/input/input3
/proc/bus/input/devices: U: Uniq=
/proc/bus/input/devices: H: Handlers=kbd event3 
/proc/bus/input/devices: B: EV=120013
/proc/bus/input/devices: B: KEY=1000000000007 ff800000000007ff
febeffdff3cfffff fffffffffffffffe
/proc/bus/input/devices: B: MSC=10
/proc/bus/input/devices: B: LED=7
/proc/bus/input/devices: 
/proc/bus/input/devices: I: Bus=0003 Vendor=413c Product=8162 Version=0111
/proc/bus/input/devices: N: Name="HID 413c:8162"
/proc/bus/input/devices: P: Phys=usb-0000:00:1a.0-1.1.2/input0
/proc/bus/input/devices: S:
Sysfs=/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.1/1-1.1.2/1-1.1.2:1.0/input/input4
/proc/bus/input/devices: U: Uniq=
/proc/bus/input/devices: H: Handlers=mouse2 event4 
/proc/bus/input/devices: B: EV=17
/proc/bus/input/devices: B: KEY=70000 0 0 0 0
/proc/bus/input/devices: B: REL=3
/proc/bus/input/devices: B: MSC=10
/proc/bus/input/devices: 
/proc/fb: 0 VESA VGA
dfbinfo: not found

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/4 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[installer-syslog.gz (application/x-gzip, attachment)]

Bug reassigned from package 'installation-reports' to 'grub-installer'. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Tue, 25 Jan 2011 22:18:56 GMT) Full text and rfc822 format available.

Merged 587397 603107 608025 608219 609251. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Sun, 30 Jan 2011 17:15:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#587397; Package grub-installer. (Mon, 28 Feb 2011 09:12:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to me <smr981@cavtel.net>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 28 Feb 2011 09:12:12 GMT) Full text and rfc822 format available.

Message #24 received at 587397@bugs.debian.org (full text, mbox):

From: me <smr981@cavtel.net>
To: 587397@bugs.debian.org
Subject: grub
Date: Mon, 28 Feb 2011 01:11:07 -0800
[Message part 1 (text/plain, inline)]
As with the others, grub recognized my other OS (windows XP professional)
when I installed 6.0.0 squeeze (stable) i386 I downloaded, but when I booted
only Linux (& Linux safe mode) were listed and would boot.

I have two hard drives: listed as *sda* I have windows on (and did not
change it's partition table), and a bare new hard drive listed as *sdb* is
where I partitioned/formatted using guided partitioning with LVM's third
option (home, root, swap, temp, usr) and installed Debian.  I only installed
the defined collections "Graphical desktop environment" & "standard
utilities".

It was strange when Debian listed the two hard drives as SCSI1 (sda), and
SCSI3 (sdb).  My system has only IDE channels:  IDE channel 0 Master - old
HD with windows, IDE channel 1 Master- DVD drive, & IDE channel 2 Master-
the new HD (SATA drive connection).

Others have said they corrected the GRUB problem by "running update-grub".
How do I do that?  When I tried "update-grub" I got a "on such command"
message.

Stan.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#587397; Package grub-installer. (Mon, 28 Feb 2011 15:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to lsorense@csclub.uwaterloo.ca (Lennart Sorensen):
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 28 Feb 2011 15:24:03 GMT) Full text and rfc822 format available.

Message #29 received at 587397@bugs.debian.org (full text, mbox):

From: lsorense@csclub.uwaterloo.ca (Lennart Sorensen)
To: me <smr981@cavtel.net>, 587397@bugs.debian.org
Subject: Re: Bug#587397: grub
Date: Mon, 28 Feb 2011 10:20:49 -0500
On Mon, Feb 28, 2011 at 01:11:07AM -0800, me wrote:
> As with the others, grub recognized my other OS (windows XP professional)
> when I installed 6.0.0 squeeze (stable) i386 I downloaded, but when I booted
> only Linux (& Linux safe mode) were listed and would boot.
> 
> I have two hard drives: listed as *sda* I have windows on (and did not
> change it's partition table), and a bare new hard drive listed as *sdb* is
> where I partitioned/formatted using guided partitioning with LVM's third
> option (home, root, swap, temp, usr) and installed Debian.  I only installed
> the defined collections "Graphical desktop environment" & "standard
> utilities".
> 
> It was strange when Debian listed the two hard drives as SCSI1 (sda), and
> SCSI3 (sdb).  My system has only IDE channels:  IDE channel 0 Master - old
> HD with windows, IDE channel 1 Master- DVD drive, & IDE channel 2 Master-
> the new HD (SATA drive connection).
> 
> Others have said they corrected the GRUB problem by "running update-grub".
> How do I do that?  When I tried "update-grub" I got a "on such command"
> message.

It has to be as root (so login as root, or use 'su -' to become root.)

-- 
Len Sorensen




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 08:06:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.